.container {
    height: 150px;
}

.container:hover>.items:nth-child(1) {
    top: 10px;
}
.container:hover>.items:nth-child(2) {
    top: 20px;
}
.container:hover>.items:nth-child(3) {
    top: 30px;
}
.container:hover>.items:nth-child(4) {
    top: 40px;
}
.container:hover>.items:nth-child(5) {
    top: 50px;
}

.items {
    top: 0;
    height: 100px;
    width: 100px;
    float: left;
    position: relative;
    transition: all 1s;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -ms-transition: all 1s;
    -o-transition: all 1s;
}

.items:nth-child(1) {
    background-color: rgb(199, 30, 30);
}
.items:nth-child(2) {
    background-color: rgb(199, 196, 30);
}
.items:nth-child(3) {
    background-color: rgb(36, 199, 30);
}
.items:nth-child(4) {
    background-color: rgb(30, 199, 185);
}
.items:nth-child(5) {
    background-color: rgb(81, 30, 199);
}